
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>programs</groupId>
	<artifactId>Programs</artifactId>
	<version>0.1</version>
	<name>Programs</name>
	<inceptionYear>2007</inceptionYear>
	<properties>
		<scala.version>2.7.1</scala.version>
	</properties>

	<repositories>
		<repository>
			<id>scala-tools.org</id>
			<name>Scala-Tools Maven2 Repository</name>
			<url>http://scala-tools.org/repo-releases
			</url>
		</repository>
	</repositories>

	<pluginRepositories>
		<pluginRepository>
			<id>scala-tools.org</id>
			<name>Scala-Tools Maven2 Repository</name>
			<url>http://scala-tools.org/repo-releases
			</url>
		</pluginRepository>

		<pluginRepository>
			<id>testng-xslt-plugin</id>
			<url>http://www.cosminaru.ro/maven/
			</url>
		</pluginRepository>
	</pluginRepositories>

	<dependencies>
		<dependency>
			<groupId>org.scala-lang</groupId>
			<artifactId>scala-library</artifactId>
			<version>${scala.version}</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.5</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.testng</groupId>
			<artifactId>testng</artifactId>
			<version>4.7</version>
			<scope>test</scope>
			<classifier>jdk15</classifier>
		</dependency>

		<dependency>
			<groupId>org.scala-lang</groupId>
			<artifactId>scala-compiler</artifactId>
			<version>${scala.version}</version>
			<scope>test</scope>
		</dependency>
		<!-- for LiftConsole -->
	</dependencies>


	<build>
		<sourceDirectory>src/main/scala</sourceDirectory>
		<testSourceDirectory>src/test/scala
		</testSourceDirectory>
		<plugins>
			<plugin>
				<groupId>org.scala-tools</groupId>
				<artifactId>maven-scala-plugin</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>compile</goal>
							<goal>testCompile</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<scalaVersion>${scala.version}</scalaVersion>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.mortbay.jetty</groupId>
				<artifactId>maven-jetty-plugin</artifactId>
				<configuration>
					<contextPath>/</contextPath>
					<scanIntervalSeconds>5</scanIntervalSeconds>
				</configuration>
			</plugin>
			<plugin>
				<groupId>net.sf.alchim</groupId>
				<artifactId>yuicompressor-maven-plugin
				</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>compress</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<nosuffix>true</nosuffix>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-eclipse-plugin</artifactId>
				<configuration>
					<downloadSources>true</downloadSources>
					<excludes>
						<exclude>org.scala-lang:scala-library
						</exclude>
					</excludes>
					<classpathContainers>
						<classpathContainer>ch.epfl.lamp.sdt.launching.SCALA_CONTAINER
						</classpathContainer>
					</classpathContainers>
					<projectnatures>
						<java.lang.String>ch.epfl.lamp.sdt.core.scalanature
						</java.lang.String>
						<java.lang.String>org.eclipse.jdt.core.javanature
						</java.lang.String>
					</projectnatures>
					<buildcommands>
						<java.lang.String>ch.epfl.lamp.sdt.core.scalabuilder
						</java.lang.String>
					</buildcommands>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.4.2</version>
				<configuration>
					<parallel>methods</parallel>
					<threadCount>10</threadCount>
				</configuration>
			</plugin>

			<plugin>
				<artifactId>maven-surefire-report-plugin
				</artifactId>
				<version>2.4.3</version>
			</plugin>

			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>cobertura-maven-plugin
				</artifactId>
				<version>2.2</version>
			</plugin>

		</plugins>
	</build>
	
	
	<reporting>
		<plugins>
			<plugin>
				<groupId>org.scala-tools</groupId>
				<artifactId>maven-scala-plugin</artifactId>
				<configuration>
					<scalaVersion>${scala.version}</scalaVersion>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.testng.xslt</groupId>
				<artifactId>testng-xslt-plugin</artifactId>
				<version>1.0.1</version>
			</plugin>
		</plugins>
	</reporting>

</project>
